Bug 1344833 - [abrt] gjs: js::gc::Chunk::fetchNextFreeArena(): gjs-console killed by SIGSEGV
Summary: [abrt] gjs: js::gc::Chunk::fetchNextFreeArena(): gjs-console killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gjs
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fcfb6fdbcc8ee4120586af994db...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-11 11:48 UTC by asif.saad19
Modified: 2016-12-20 20:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:55:56 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (62.93 KB, text/plain)
2016-06-11 11:48 UTC, asif.saad19
no flags Details
File: cgroup (200 bytes, text/plain)
2016-06-11 11:48 UTC, asif.saad19
no flags Details
File: core_backtrace (13.96 KB, text/plain)
2016-06-11 11:48 UTC, asif.saad19
no flags Details
File: dso_list (15.27 KB, text/plain)
2016-06-11 11:48 UTC, asif.saad19
no flags Details
File: environ (912 bytes, text/plain)
2016-06-11 11:48 UTC, asif.saad19
no flags Details
File: limits (1.29 KB, text/plain)
2016-06-11 11:48 UTC, asif.saad19
no flags Details
File: maps (58.69 KB, text/plain)
2016-06-11 11:48 UTC, asif.saad19
no flags Details
File: mountinfo (3.60 KB, text/plain)
2016-06-11 11:48 UTC, asif.saad19
no flags Details
File: namespaces (85 bytes, text/plain)
2016-06-11 11:48 UTC, asif.saad19
no flags Details
File: open_fds (1.04 KB, text/plain)
2016-06-11 11:48 UTC, asif.saad19
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-06-11 11:48 UTC, asif.saad19
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-06-11 11:48 UTC, asif.saad19
no flags Details

Description asif.saad19 2016-06-11 11:48:03 UTC
Version-Release number of selected component:
gjs-1.43.3-3.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 3
cmdline:        /usr/bin/gjs /usr/bin/gnome-documents --gapplication-service
crash_function: js::gc::Chunk::fetchNextFreeArena
executable:     /usr/bin/gjs-console
global_pid:     4678
kernel:         4.5.5-201.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 js::gc::Chunk::fetchNextFreeArena at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:747
 #1 js::gc::Chunk::allocateArena at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:766
 #2 js::gc::ArenaLists::allocateFromArenaInline at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:1262
 #3 js::gc::ArenaLists::refillFreeList<(js::AllowGC)1> at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:1513
 #4 js::gc::NewGCThing<JSObject, (js::AllowGC)1> at /usr/src/debug/mozjs-24.2.0/js/src/jsgcinlines.h:541
 #5 js_NewGCObject<(js::AllowGC)1> at /usr/src/debug/mozjs-24.2.0/js/src/jsgcinlines.h:562
 #6 JSObject::create at /usr/src/debug/mozjs-24.2.0/js/src/jsobjinlines.h:868
 #7 NewObject at /usr/src/debug/mozjs-24.2.0/js/src/jsobj.cpp:1259
 #8 js::NewObjectWithClassProtoCommon at /usr/src/debug/mozjs-24.2.0/js/src/jsobj.cpp:1387
 #10 js::NewObjectWithClassProto at /usr/src/debug/mozjs-24.2.0/js/src/jsobjinlines.h:1493

Comment 1 asif.saad19 2016-06-11 11:48:12 UTC
Created attachment 1166859 [details]
File: backtrace

Comment 2 asif.saad19 2016-06-11 11:48:14 UTC
Created attachment 1166860 [details]
File: cgroup

Comment 3 asif.saad19 2016-06-11 11:48:17 UTC
Created attachment 1166861 [details]
File: core_backtrace

Comment 4 asif.saad19 2016-06-11 11:48:20 UTC
Created attachment 1166862 [details]
File: dso_list

Comment 5 asif.saad19 2016-06-11 11:48:22 UTC
Created attachment 1166863 [details]
File: environ

Comment 6 asif.saad19 2016-06-11 11:48:24 UTC
Created attachment 1166864 [details]
File: limits

Comment 7 asif.saad19 2016-06-11 11:48:29 UTC
Created attachment 1166865 [details]
File: maps

Comment 8 asif.saad19 2016-06-11 11:48:31 UTC
Created attachment 1166866 [details]
File: mountinfo

Comment 9 asif.saad19 2016-06-11 11:48:33 UTC
Created attachment 1166867 [details]
File: namespaces

Comment 10 asif.saad19 2016-06-11 11:48:35 UTC
Created attachment 1166868 [details]
File: open_fds

Comment 11 asif.saad19 2016-06-11 11:48:37 UTC
Created attachment 1166869 [details]
File: proc_pid_status

Comment 12 asif.saad19 2016-06-11 11:48:39 UTC
Created attachment 1166870 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2016-11-25 09:16:38 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2016-12-20 20:55:56 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.